# defaults file for tshock
terraria_path: /terraria_tshock
terraria_download_from: https://github.com/Pryaxis/TShock/releases/download/v4.3.25/tshock_4.3.25.zip
terraria_download_to: "{{terraria_path}}/latest.zip"
terraria_user: terraria
terraria_group: terraria
terraria_world_file: tshock_world.wld
terraria_world_directory:  "{{terraria_path}}"
terraria_world: "{{terraria_world_directory}}/{{terraria_world_file}}"
terraria_screen_name: terraria-server-screen-A #arbitrary name for the screen that terraria server runs in.

#vanilla terraria config
terraria_autocreate_size: 3
terraria_world_name: "TShock World"
terraria_motd: "Welcome to {{terraria_world_name}}!"
terraria_autocreate_difficulty: 1
terraria_ServerPassword: "tshock"
terraria_ServerPort: 7777
terraria_maxplayers: 8

#tshock MOTD / Rules
TShock_motd: "{{terraria_motd}}  This server is running TShock for Terraria.  Type /help for a list of commands. [c/FF0000:Current map: %map% Current players: %players%]"
TShock_rules:
  - "Respect the admins!"
  - "Don't use TNT!"

#tshock config variables
TShock_InvasionMultiplier: 1
TShock_DefaultMaximumSpawns: 5
TShock_DefaultSpawnRate: 600
TShock_ServerPort: "{{terraria_ServerPort}}"
TShock_EnableWhitelist: "false"
TShock_InfiniteInvasion: "false"
TShock_PvPMode: normal
TShock_SpawnProtection: "true"
TShock_SpawnProtectionRadius: 10
TShock_MaxSlots: "{{terraria_maxplayers}}"
TShock_RangeChecks: "true"
TShock_DisableBuild: "false"
TShock_SuperAdminChatR: 255
TShock_SuperAdminChatG: 0
TShock_SuperAdminChatB: 0
TShock_SuperAdminChatPrefix: "(Admin) "
TShock_SuperAdminChatSuffix: ""
TShock_BackupInterval: 0
TShock_BackupKeepFor: 60
TShock_RememberLeavePos: "false"
TShock_HardcoreOnly: "false"
TShock_MediumcoreOnly: "false"
TShock_KickOnMediumcoreDeath: "false"
TShock_BanOnMediumcoreDeath: "false"
TShock_AutoSave: "true"
TShock_AnnounceSave: "true"
TShock_MaximumLoginAttempts: 3
TShock_ServerName: ""
TShock_UseServerName: "false"
TShock_MasterServer: 127.0.0.1
TShock_StorageType: sqlite
TShock_MySqlHost: "localhost:3306"
TShock_MySqlDbName: ""
TShock_MySqlUsername: ""
TShock_MySqlPassword: ""
TShock_MediumcoreBanReason: "Death results in a ban"
TShock_MediumcoreKickReason: "Death results in a kick"
TShock_EnableDNSHostResolution: "false"
TShock_EnableIPBans: "true"
TShock_EnableUUIDBans: "true"
TShock_EnableBanOnUsernames: "false"
TShock_DefaultRegistrationGroupName: "default"
TShock_DefaultGuestGroupName: "guest"
TShock_DisableSpewLogs: "true"
TShock_DisableSecondUpdateLogs: "false"
TShock_HashAlgorithm: "sha512"
TShock_BufferPackets: "true"
TShock_ServerFullReason: "Server is full"
TShock_WhitelistKickReason: "You are not on the whitelist."
TShock_ServerFullNoReservedReason: "Server is full. No reserved slots open."
TShock_SaveWorldOnCrash: "true"
TShock_EnableGeoIP: "false"
TShock_EnableTokenEndpointAuthentication: "false"
TShock_RestApiEnabled: "false"
TShock_RestApiPort: 7878
TShock_DisableTombstones: "true"
TShock_DisplayIPToAdmins: "false"
TShock_KickProxyUsers: "true"
TShock_DisableHardmode: "false"
TShock_DisableDungeonGuardian: "false"
TShock_DisableClownBombs: "false"
TShock_DisableSnowBalls: "false"
TShock_ChatFormat: "{1}{2}{3}: {4}"
TShock_ChatAboveHeadsFormat: "{2}"
TShock_ForceTime: "normal"
TShock_TileKillThreshold: 60
TShock_TilePlaceThreshold: 20
TShock_TileLiquidThreshold: 15
TShock_ProjectileThreshold: 50
TShock_HealOtherThreshold: 50
TShock_ProjIgnoreShrapnel: "true"
TShock_RequireLogin: "false"
TShock_DisableInvisPvP: "false"
TShock_MaxRangeForDisabled: 10
TShock_ServerPassword: "{{terraria_ServerPassword}}" 
TShock_RegionProtectChests: "false"
TShock_RegionProtectGemLocks: "true"
TShock_DisableLoginBeforeJoin: "false"
TShock_DisableUUIDLogin: "false"
TShock_KickEmptyUUID: "false"
TShock_AllowRegisterAnyUsername: "false"
TShock_AllowLoginAnyUsername: "true"
TShock_MaxDamage: 1175
TShock_MaxProjDamage: 1175
TShock_KickOnDamageThresholdBroken: "false"
TShock_IgnoreProjUpdate: "false"
TShock_IgnoreProjKill: "false"
TShock_IgnoreNoClip: "false"
TShock_AllowIce: "false"
TShock_AllowCrimsonCreep: "true"
TShock_AllowCorruptionCreep: "true"
TShock_AllowHallowCreep: "true"
TShock_StatueSpawn200: 3
TShock_StatueSpawn600: 6
TShock_StatueSpawnWorld: 10
TShock_PreventBannedItemSpawn: "false"
TShock_PreventDeadModification: "true"
TShock_EnableChatAboveHeads: "false"
TShock_ForceXmas: "false"
TShock_AllowAllowedGroupsToSpawnBannedItems: "false"
TShock_IgnoreChestStacksOnLoad: "false"
TShock_LogPath: "tshock"
TShock_UseSqlLogs: "false"
TShock_RevertToTextLogsOnSqlFailures: 10
TShock_PreventInvalidPlaceStyle: "true"
TShock_BroadcastR: 127
TShock_BroadcastG: 255
TShock_BroadcastB: 212
TShock_RestUseNewPerissionodel: "true"
TShock_ApplicationRestTokens: "{}"
TShock_ReservedSlots: 20
TShock_LogRest: "false"
TShock_RespawnSeconds: 5
TShock_RespawnBossSeconds: 10
TShock_TilePaintThreshold: 15
TShock_EnableaxBytesInBuffer: "false"
TShock_MaxBytesInBuffer: 5242880
TShock_ForceHalloween: "false"
TShock_AllowCutTilesAndBreakables: "false"
TShock_CommandSpecifier: "/"
TShock_CommandSilentSpecifier: "."
TShock_KickOnHardcoreDeath: "false"
TShock_BanOnHardcoreDeath: "false"
TShock_HardcoreBanReason: "Death results in a ban"
TShock_HardcoreKickReason: "Death results in a kick"
TShock_AnonymousBossInvasions: "true"
TShock_MaxHP: 500
TShock_MaxMP: 200
TShock_SaveWorldOnLastPlayerExit: "true"
TShock_BCryptWorkFactor: 7
TShock_MinimumPasswordLength: 4
TShock_RESTMaximumRequestsPerInterval: 5
TShock_RESTRequestBucketDecreaseIntervalMinutes: 1
TShock_RESTLimitOnlyFailedLoginRequests: "true"
TShock_VeryDangerousDoNotChangeEnableDrillContainentUnit: "true"
TShock_ShowBackupAutosaveMessages: "true"
